curl --request PUT \
--url https://aodocs.altirnao.com/api/category/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"dynamicValues": true,
"folder": true,
"id": "<string>",
"kind": "<string>",
"levelNames": [
"<string>"
],
"levelNames_i18n": [
"<string>"
],
"libraryId": "<string>",
"name": "<string>",
"tags": true,
"value": "<string>"
}
'import requests
url = "https://aodocs.altirnao.com/api/category/v1"
payload = {
"description": "<string>",
"dynamicValues": True,
"folder": True,
"id": "<string>",
"kind": "<string>",
"levelNames": ["<string>"],
"levelNames_i18n": ["<string>"],
"libraryId": "<string>",
"name": "<string>",
"tags": True,
"value": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
dynamicValues: true,
folder: true,
id: '<string>',
kind: '<string>',
levelNames: ['<string>'],
levelNames_i18n: ['<string>'],
libraryId: '<string>',
name: '<string>',
tags: true,
value: '<string>'
})
};
fetch('https://aodocs.altirnao.com/api/category/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "<string>",
"dynamicValues": true,
"folder": true,
"id": "<string>",
"kind": "<string>",
"levelNames": [
"<string>"
],
"levelNames_i18n": [
"<string>"
],
"libraryId": "<string>",
"name": "<string>",
"tags": true,
"value": "<string>"
}Put categoryv1
Creates a category in the library.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
The description of the category
Whether the category authorizes dynamic values
Whether the category is the Folder category (read-only)
The ID of the category
The name of the levels in the category
The internationalized name of the levels in the category (read-only field)
The ID of the library
The name of the category
Whether the category is the Tags category (read-only)
The ID of the category (backward compatibility for category.category.listCategoryDefinitions)
Response
A ApiCategoryDefinition response
The description of the category
Whether the category authorizes dynamic values
Whether the category is the Folder category (read-only)
The ID of the category
The name of the levels in the category
The internationalized name of the levels in the category (read-only field)
The ID of the library
The name of the category
Whether the category is the Tags category (read-only)
The ID of the category (backward compatibility for category.category.listCategoryDefinitions)